Skip to content

QR Points

Puntos de código QR para registro de entrada/salida por ubicación.

POST /api/companies/{companyId}/locations/{locationId}/qr-points/v1

Section titled “POST /api/companies/{companyId}/locations/{locationId}/qr-points/v1”

Crear punto QR

NombreTipoRequeridoDescripción
companyIdstring
locationIdstring
{
"label": "Entrada principal",
"type": "FIXED"
}

QR point creado exitosamente

{
"id": "00000000-0000-0000-0000-000000000000",
"locationId": "00000000-0000-0000-0000-000000000000",
"label": "label",
"token": "00000000-0000-0000-0000-000000000000",
"type": "FIXED",
"active": true,
"qrContent": "qrContent",
"createdAt": "2024-01-15T10:00:00Z",
"updatedAt": "2024-01-15T10:00:00Z"
}

GET /api/companies/{companyId}/locations/{locationId}/qr-points/v1

Section titled “GET /api/companies/{companyId}/locations/{locationId}/qr-points/v1”

Listar QR points de una ubicación

NombreTipoRequeridoDescripción
companyIdstring
locationIdstring

Lista de QR points

{
"id": "00000000-0000-0000-0000-000000000000",
"locationId": "00000000-0000-0000-0000-000000000000",
"label": "label",
"token": "00000000-0000-0000-0000-000000000000",
"type": "FIXED",
"active": true,
"qrContent": "qrContent",
"createdAt": "2024-01-15T10:00:00Z",
"updatedAt": "2024-01-15T10:00:00Z"
}

DELETE /api/companies/{companyId}/locations/{locationId}/qr-points/v1/{qrPointId}

Section titled “DELETE /api/companies/{companyId}/locations/{locationId}/qr-points/v1/{qrPointId}”

Desactivar QR point

NombreTipoRequeridoDescripción
companyIdstring
locationIdstring
qrPointIdstring

QR point desactivado exitosamente


CampoTipoRequeridoDescripción
labelstring ej: “Entrada principal”
typeQRPointType
CampoTipoRequeridoDescripción
idstring (uuid)
locationIdstring (uuid)
labelstring
tokenstring (uuid)Token único para el QR
typeQRPointType
activeboolean
qrContentstringContenido para generar el QR (qentro://checkin/{token}?…)
createdAtstring (date-time)
updatedAtstring (date-time)